Subject: Re: [bug#30604] [PATCH v8 2/7] linux-modules: Add install-modules.

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 4 Mar 2018 13:53:27 +0100

Hi Ludo,

On Sat, 03 Mar 2018 23:07:57 +0100
[email-masked] (Ludovic Courtès) wrote:

> We could reuse modules.alias and modules.devname from the ‘linux-libre’
> package (right?), but I guess it doesn’t hurt to generate custom ones.

Yes, but it would be somewhat dirty.  Here's why:

Linux-libre contains a superset of modules and also their modules.alias
and modules.devname contain a superset of modules compared to the initrd.

That means

(1) modules.alias would contain aliases which map to modules which
don't exist.  Since we don't for-each it, who cares.

(2) modules.devname would contain devnames for modules which don't
exist.  That means the boot code would create files in /dev which,
when someone accesses them, would try to load modules which don't
exist - and then the access would fail.

Technically both are not bad, but (2) is bad "UX" practise nowadays - and
not done in the Linux world any more since udev exists.

I can still remember the days of 8540 entries static /dev filesystem (as in,
really on the hard disk), 7000 of which didn't work (or even valid for this
system type :P).

If something goes wrong, good luck finding the needle in the haystack
(which /dev file you can use to boot).